Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp
Interface WSRPProducer

All Superinterfaces:
  java.rmi.Remote, WSRP_v1_Markup_PortType, WSRP_v1_PortletManagement_PortType, WSRP_v1_Registration_PortType, WSRP_v1_ServiceDescription_PortType

All Known Implementing Classes:
  WSRPProducerImpl

    public interface WSRPProducer

extends WSRP_v1_ServiceDescription_PortType, WSRP_v1_Markup_PortType, WSRP_v1_Registration_PortType, WSRP_v1_PortletManagement_PortType

Since:
  2.4
Version:
  $Revision: 11051 $
Author:
  Chris Laprun

Field Summary
`static int` | `DEFAULT_SESSION_EXPIRATION_TIME` The default session expiration time in mili seconds.
`static int` | `INFINITE_SESSION_EXPIRATION_TIME` The value used to specify that a session will never expire.

Method Summary
`ProducerConfiguration` | `getProducerConfiguration()`
`ProducerRegistrationRequirements` | `getProducerRegistrationRequirements()`
`RegistrationManager` | `getRegistrationManager()`
`CookieProtocol` | `getRequiresInitCookie()` Indicates whether or not the Producer requires the Consumer to assist with cookie support of the HTTP protocol.
`int` | `getSessionExpirationTime()` Maximum number of seconds between invocations referencing a session ID before this Producer will schedule releasing the related resources.
`void` | `setProducerConfiguration(ProducerConfiguration producerConfiguration)`
`void` | `setRequiresInitCookie(CookieProtocol requiresInitCookie)` Sets the level of cookie support required by the Consumer.
`void` | `setSessionExpirationTime(int sessionExpirationTime)` Sets the expiration time (in seconds) of session associated resources.
`void` | `setUseStrictMode(boolean strict)` Specifies whether conformance to WSRP specification should be strict or lenient (this can help when working with non-complying consumers).

Methods inherited from interface org.jboss.portal.wsrp.core.WSRP_v1_ServiceDescription_PortType
`getServiceDescription`

Methods inherited from interface org.jboss.portal.wsrp.core.WSRP_v1_Markup_PortType
`getMarkup, initCookie, performBlockingInteraction, releaseSessions`

Methods inherited from interface org.jboss.portal.wsrp.core.WSRP_v1_Registration_PortType
`deregister, modifyRegistration, register`

Methods inherited from interface org.jboss.portal.wsrp.core.WSRP_v1_PortletManagement_PortType
`clonePortlet, destroyPortlets, getPortletDescription, getPortletProperties, getPortletPropertyDescription, setPortletProperties`

Field Detail

### DEFAULT_SESSION_EXPIRATION_TIME

    static final int DEFAULT_SESSION_EXPIRATION_TIME

  The default session expiration time in mili seconds.

  See Also:
    Constant Field Values

### INFINITE_SESSION_EXPIRATION_TIME

    static final int INFINITE_SESSION_EXPIRATION_TIME

  The value used to specify that a session will never expire.

  See Also:
    Constant Field Values

Method Detail

### getRequiresInitCookie

    CookieProtocol getRequiresInitCookie()

  Indicates whether or not the Producer requires the Consumer to assist with cookie support of the HTTP protocol. Supported values and semantics:
  - `CookieProtocol.none`: The Producer does not need the Consumer to ever invoke `WSRP_v1_Markup_PortType.initCookie(org.jboss.portal.wsrp.core.InitCookie)`.
  - `CookieProtocol.perUser`: The Consumer MUST invoke `WSRP_v1_Markup_PortType.initCookie(org.jboss.portal.wsrp.core.InitCookie)` once per user of the Consumer, and associate any returned cookies with subsequent invocations on behalf of that user.
  - `CookieProtocol.perGroup`: The Consumer MUST invoke `WSRP_v1_Markup_PortType.initCookie(org.jboss.portal.wsrp.core.InitCookie)` once per unique groupID from the PortletDescriptions for the Portlets it is aggregating on a page for each user of the Consumer, and associate any returned cookies with subsequent invocations on behalf of that user targeting Portlets with identical groupIDs.

  Returns:
    the level of cookie support required from the Consumer

### setRequiresInitCookie

    void setRequiresInitCookie(CookieProtocol requiresInitCookie)

  Sets the level of cookie support required by the Consumer.

  Parameters:
    `requiresInitCookie` - either `CookieProtocol.none`, `CookieProtocol.perUser` or `CookieProtocol.perGroup`

### getSessionExpirationTime

    int getSessionExpirationTime()

  Maximum number of seconds between invocations referencing a session ID before this Producer will schedule releasing the related resources. `INFINITE_SESSION_EXPIRATION_TIME` indicates that the sessionID will never expire.

  Returns:
    the expiration time (in seconds) of session associated resources

### setSessionExpirationTime

    void setSessionExpirationTime(int sessionExpirationTime)

  Sets the expiration time (in seconds) of session associated resources.

  Parameters:
    `sessionExpirationTime` - the maximum number of seconds between invocations referencing a session ID before this Producer will schedule releasing the related resources. If `INFINITE_SESSION_EXPIRATION_TIME` is passed, then the session will never expire.

### getProducerRegistrationRequirements

    ProducerRegistrationRequirements getProducerRegistrationRequirements()

  Returns:
  Since:
    2.6

### getRegistrationManager

    RegistrationManager getRegistrationManager()

  Returns:
  Since:
    2.6

### getProducerConfiguration

    ProducerConfiguration getProducerConfiguration()

  Returns:
  Since:
    2.6

### setProducerConfiguration

    void setProducerConfiguration(ProducerConfiguration producerConfiguration)

  Parameters:
    `producerConfiguration` -
  Since:
    2.6

### setUseStrictMode

    void setUseStrictMode(boolean strict)

  Specifies whether conformance to WSRP specification should be strict or lenient (this can help when working with non-complying consumers).

  Parameters:
    `strict` - `true` to be strict about WSRP conformance, `false` to allow for some flexibility in the validation of received WSRP data
  Since:
    2.6.6

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD